dis_inner_product.h File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class InputIterator1 , class InputIterator2 , class Size >
promote< typename std::iterator_traits< InputIterator1 >::value_type, typename std::iterator_traits< InputIterator2 >::value_type >::type | dis_inner_product (InputIterator1 first1, InputIterator2 first2, Size n, const distributor::communicator_type &comm, sequential)
template<class InputIterator1 , class InputIterator2 , class Size >
promote< typename std::iterator_traits< InputIterator1 >::value_type, typename std::iterator_traits< InputIterator2 >::value_type >::type | dis_inner_product (InputIterator1 first1, InputIterator2 first2, Size n, const distributor::communicator_type &comm, distributed)
template<class InputIterator1 , class InputIterator2 , class Size >
promote< typename std::iterator_traits< InputIterator1 >::value_type, typename std::iterator_traits< InputIterator2 >::value_type >::type | dis_inner_product (InputIterator1 first1, InputIterator2 first2, Size n, const distributor::communicator_type &comm)